
QGIS Application - Bug report #9114

Ellipse renderer always draws black ellispes in combination with color functions

2013-11-23 03:59 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17755

Description

In other renderers, it is possible to us color functions such as color_rgb( 100,255,255) to change the fill and outline colors.

The ellipse renderer only returns black ellipses if used with these functions.

The only thing that seems to work for ellipse renderers is the '#ff0000' notation.

Tested with today's nightly on Win7 but seems to affect all platforms.

Associated revisions

Revision c1d2798f - 2013-11-25 08:54 AM - Matthias Kuhn

Ellipse marker support for color expressions (Fix #9114)

History

#1 - 2013-11-23 04:00 AM - Anita Graser

- Affected QGIS version changed from 2.0.1 to master

#2 - 2013-11-25 12:17 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"c1d2798f47b7788f8b81eaf4b9f8707487f5919f".
